///<summary> /// Implement this method as an external command for Revit. /// </summary> /// <param name="commandData">An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.</param> /// <param name="message">A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.</param> /// <param name="elements">A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.</param> /// <returns>Return the status of the external command. /// A result of Succeeded means that the API external method functioned as expected. /// Cancelled can be used to signify that the user cancelled the external operation /// at some point. Failure should be returned if the application is unable to proceed with /// the operation.</returns> public Autodesk.Revit.UI.Result Execute(Autodesk.Revit.UI.ExternalCommandData revit, ref string message, ElementSet elements) { m_revit = revit; // store all BarDescriptions in m_barDescriptions table and // store the AreaReinforcements id value in m_areaReinforcementIdList array if (!PrepareAllNeededData()) { message = "Cannot found AreaReinforcement in Project"; return(Autodesk.Revit.UI.Result.Cancelled); } // show UI BarDescriptionsForm displayForm = new BarDescriptionsForm(this); displayForm.ShowDialog(); return(Autodesk.Revit.UI.Result.Succeeded); }
///<summary> /// Implement this method as an external command for Revit. /// </summary> /// <param name="commandData">An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.</param> /// <param name="message">A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.</param> /// <param name="elements">A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.</param> /// <returns>Return the status of the external command. /// A result of Succeeded means that the API external method functioned as expected. /// Cancelled can be used to signify that the user cancelled the external operation /// at some point. Failure should be returned if the application is unable to proceed with /// the operation.</returns> public Autodesk.Revit.UI.Result Execute(Autodesk.Revit.UI.ExternalCommandData revit, ref string message, ElementSet elements) { m_revit = revit; // store all BarDescriptions in m_barDescriptions table and // store the AreaReinforcements id value in m_areaReinforcementIdList array if (!PrepareAllNeededData()) { message = "Cannot found AreaReinforcement in Project"; return Autodesk.Revit.UI.Result.Cancelled; } // show UI BarDescriptionsForm displayForm = new BarDescriptionsForm(this); displayForm.ShowDialog(); return Autodesk.Revit.UI.Result.Succeeded; }